# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Dist/Zilla/App.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(File/chdir.pm) perl(JSON/MaybeXS.pm) perl(Path/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.0100
%define module_name Dist-Zilla-App-Command-coverh
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0100
Release: alt1
Summary: Code coverage metrics, with history
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Dist-Zilla-App-Command-coverh

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CS/CSSON/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Dist::Zilla::App::Command::coverh is a command extension for the Dist::Zilla manpage. It provides the `coverh' command, which generates code coverage metrics (in json format)
for the current distribution using the Devel::Cover manpage. It appends the summary to a `.coverhistory.json' file in the distribution root.

Tests must pass for this to work. Author and release tests are not run. No command-line arguments are passed on to
the `cover' command from the Devel::Cover manpage.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/D*

%changelog
* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.0100-alt1
- initial import by package builder

